| |
| | |

Apple Phoon Forum

 Forgot password?
 Register
View: 720|Reply: 2

Will a PowerMac G4 support OSX Mountain Lion?

[Copy link]

Post time: 2014-01-06 13:21:21 |Show all posts
Using Power Mac
I've acquired a PowerMac G4 (CPU type PowerPC G4 2.9). It is at least 6 years old to my knowledge. The previous owner passed away 4 years ago and it has not been used since that time. I am trying to determine whether or not to upgrade but would like to know if this model with 768MB of memory will be able to handle OSX Mountain Lion? Any advice on upgrades is welcome. The majority of the products on this G4 are out of date and I can not update because I do not know the previous "deceased" owner's admin password. The OS start up disk that belongs to the computer has been lost. Should I try to purchase another OS start up disk? Would that work to by pass the admin password? Thanks I know this was a lot of questions all packed into one.
         PowerMac, Mac OS X (10.4.11)
Reply

Use magic Report

Post time: 2014-01-06 16:26:43 |Show all posts
Reset OS X Password Without an OS X CD...
http://theappleblog.com/2008/06/22/reset-os-x-password-without-an-os-x-cd/
Admin Hack...
http://www.hackmac.org/?q=node/4
Starts up like the first time you buy a new Mac, but after filling in all that info again, you should have access to the computer and the other Users & files will still be there... give the new User a different name than an existing one.
Reply

Use magic Report

Post time: 2014-01-06 15:04:32 |Show all posts
Hello, sadly the highest OSX it can run is 10.5.8/Leopard.
10.6.x,10.7.x, & 10.8.x will NOT work on any PPC Mac like a G4.
With only 768 MB of RAM I wouldn't advise anything beyond 10.4.11 actually.
Leopard requirements/10.5.x...
* Mac computer with an Intel, PowerPC G5, or PowerPC G4 (867MHz or faster) processor
minimum system requirements
* 512MB of memory (I say 1.5GB for PPC at least, 2-3GB minimum for IntelMacs)
* DVD drive for installation
* 9GB of available disk space (I say 30GB at least)
Classic/OS9 Apps no longer supported.
Trouble is Apple no longer sells it, check eBay & such for the Retail version, not the Gray Discs...
http://www.ebay.com/sch/i.html?_nkw=mac+os+x+leopard+retail+10.5
You have to call Apple & likely ask for a Product Specialist to get it, if they still have it! Helps to tell them you have an iPad/iPhone & you can't run 10.6.
There are workarounds if the 867MHz CPU is the only hangup...
http://sourceforge.net/projects/leopardassist/
http://lowendmac.com/osx/leopard/unsupported.html
List of Applications Not Compatible with Leopard...
http://guides.macrumors.com/List:Applications_Not_Compatible_with_Leopard
If you don't know the model, find the Serial# & use it on one of these sites, but don't post the Serial# here...
http://www.chipmunk.nl/klantenservice/applemodel.html
http://www.appleserialnumberinfo.com/Desktop/index.php
How to find the serial number of your Apple hardware product...
http://support.apple.com/kb/HT1349
Reply

Use magic Report

You have to log in before you can reply Login | Register

Archive| Apple Phoon

2019-12-11 08:54 GMT-8 , Processed in 0.080396 sec., 27 queries .

Powered by Discuz! 7.2

Release 20121101, © 2001-2019

To Top